[SRU] 2.32

Bug #1756173 reported by Michael Vogt on 2018-03-15
This bug report is a duplicate of:  Bug #1765090: [SRU] 2.32.5. Edit Remove
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

This is a new version of snapd. It supersedes the pending snapd releases
in -proposed.

The changelog is available here https://github.com/snapcore/snapd/blob/2.33.3.1/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.32.3.1 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The travis logs for 2.33.3.1 can be found here: https://travis-ci.org/snapcore/snapd/branches

We currently have no autopkgtest logs before snapd hits -proposed because we got asked to disable our autopkgtest integration as it was using too many resources from the autopkgtest infrastructure.

The snappy team released a new release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

Related bugs:
 * bug 1628289: snapd does not work in containers without squashfuse

Scott Moser (smoser) on 2018-03-16
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32+18.04~pre5

---------------
snapd (2.32+18.04~pre5) bionic; urgency=medium

  * New upstream pre-release, LP: #1756173
     - autopkgtest fixes

 -- Michael Vogt <email address hidden> Mon, 19 Mar 2018 08:35:51 +0100

Changed in snapd (Ubuntu Bionic):
status: New → Fix Released
Chris Halse Rogers (raof) wrote :

Should this replace the snapd 2.31.2 uploads currently waiting in -proposed (blocked on autopkgtest failures)? If so, the .changes file needs to incorporate that entry.

I also notice we've flagged #1757162 as a regression for 2.31.2; has this been investigated?

Michael Vogt (mvo) on 2018-04-11
description: updated

Hello Michael, or anyone else affected,

Accepted snapd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.3.2+17.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Changed in snapd (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.32.3.2~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done verification-done-artful verification-done-trusty verification-done-xenial
removed: verification-needed verification-needed-artful verification-needed-trusty verification-needed-xenial

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (40.7 KiB)

This bug was fixed in the package snapd - 2.32.3.2

---------------
snapd (2.32.3.2) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - errtracker: make TestJournalErrorSilentError work on
      gccgo
    - errtracker: check for whoopsie.service instead of reading
      /etc/whoopsie

snapd (2.32.3.1) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - debian: add gbp.conf script to build snapd via `gbp
      buildpackage`
    - tests: add check for OOM error after each test
    - cmd/snap-seccomp: graceful handling of non-multilib host
    - interfaces/shutdown: allow calling SetWallMessage
    - data/selinux: Give snapd access to more aspects of the system
    - daemon,overlord/hookstate: stop/wait for running hooks before
      closing the snapctl socket
    - cmd/snap-confine: ignore missing cgroups in snap-device-helper
    - interfaces: misc updates for default, firewall-control, fuse-
      support and process-control
    - overlord: test fix, address corner case

snapd (2.32.3) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - ifacestate: add to the repo also snaps that are pending being
      activated but have a done setup-profiles
    - snapstate: inject autoconnect tasks in doLinkSnap for regular
      snaps
    - cmd/snap-confine: allow creating missing gl32, gl, vulkan dirs
    - errtracker: add more fields to aid debugging
    - interfaces: make system-key more robust against invalid fstab
      entries
    - cmd/snap-mgmt: remove timers, udev rules, dbus policy files
    - overlord,interfaces: be more vocal about broken snaps and read
      errors
    - osutil: fix fstab parser to allow for # in field values

snapd (2.32.2) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - interfaces/content: add rule so slot can access writable files at
      plug's mountpoint
    - tests: adjust canonical-livepatch test on GCE
    - interfaces/serial: change pattern not to exclude /dev/ttymxc
    - spread.yaml: switch Fedora 27 tests to manual
    - store: Sections and WriteCatalogs need to strictly send device
      auth only if the device has a custom store
    - configstate: give a chance to immediately recompute the next
      refresh time when schedules are set
    - cmd/snap-confine: attempt to detect if multiarch host uses arch
      triplets
    - vendor: update gopkg.in/yaml.v2 to the latest version (#4945)

snapd (2.32.1) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - cmd/snapd: make sure signal handlers are established during early
      daemon startup
    - osutil: use tilde suffix for temporary files used for atomic
      replacement
    - cmd/snap-confine: apparmor: allow creating prefix path for
      gl/vulkan
    - tests: disentangle etc vs extrausers in core tests
    - packaging: fix changelogs' typo

snapd (2.32) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - snap: make `snap run` look at the system-key for security profiles
    - overlord/configstate: change how ssh is stopped/started
    - cmd/snap-confine: nvidia: preserve globbed file prefix
    - advisor: deal with missing commands.db file
    - in...

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (40.6 KiB)

This bug was fixed in the package snapd - 2.32.3.2~14.04

---------------
snapd (2.32.3.2~14.04) trusty; urgency=medium

  * New upstream release, LP: #1756173
    - errtracker: make TestJournalErrorSilentError work on
      gccgo
    - errtracker: check for whoopsie.service instead of reading
      /etc/whoopsie

snapd (2.32.3.1~14.04) trusty; urgency=medium

  * New upstream release, LP: #1756173
    - debian: add gbp.conf script to build snapd via `gbp
      buildpackage`
    - tests: add check for OOM error after each test
    - cmd/snap-seccomp: graceful handling of non-multilib host
    - interfaces/shutdown: allow calling SetWallMessage
    - data/selinux: Give snapd access to more aspects of the system
    - daemon,overlord/hookstate: stop/wait for running hooks before
      closing the snapctl socket
    - cmd/snap-confine: ignore missing cgroups in snap-device-helper
    - interfaces: misc updates for default, firewall-control, fuse-
      support and process-control
    - overlord: test fix, address corner case

snapd (2.32.3~14.04) trusty; urgency=medium

  * New upstream release, LP: #1756173
    - ifacestate: add to the repo also snaps that are pending being
      activated but have a done setup-profiles
    - snapstate: inject autoconnect tasks in doLinkSnap for regular
      snaps
    - cmd/snap-confine: allow creating missing gl32, gl, vulkan dirs
    - errtracker: add more fields to aid debugging
    - interfaces: make system-key more robust against invalid fstab
      entries
    - cmd/snap-mgmt: remove timers, udev rules, dbus policy files
    - overlord,interfaces: be more vocal about broken snaps and read
      errors
    - osutil: fix fstab parser to allow for # in field values

snapd (2.32.2~14.04) trusty; urgency=medium

  * New upstream release, LP: #1756173
    - interfaces/content: add rule so slot can access writable files at
      plug's mountpoint
    - tests: adjust canonical-livepatch test on GCE
    - interfaces/serial: change pattern not to exclude /dev/ttymxc
    - spread.yaml: switch Fedora 27 tests to manual
    - store: Sections and WriteCatalogs need to strictly send device
      auth only if the device has a custom store
    - configstate: give a chance to immediately recompute the next
      refresh time when schedules are set
    - cmd/snap-confine: attempt to detect if multiarch host uses arch
      triplets
    - vendor: update gopkg.in/yaml.v2 to the latest version (#4945)

snapd (2.32.1~14.04) trusty; urgency=medium

  * New upstream release, LP: #1756173
    - cmd/snapd: make sure signal handlers are established during early
      daemon startup
    - osutil: use tilde suffix for temporary files used for atomic
      replacement
    - cmd/snap-confine: apparmor: allow creating prefix path for
      gl/vulkan
    - tests: disentangle etc vs extrausers in core tests
    - packaging: fix changelogs' typo

snapd (2.32~14.04) trusty; urgency=medium

  * New upstream release, LP: #1756173
    - snap: make `snap run` look at the system-key for security profiles
    - overlord/configstate: change how ssh is stopped/started
    - cmd/snap-confine: nvidia: preserve globbed file prefix
    - advisor: d...

Changed in snapd (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (40.7 KiB)

This bug was fixed in the package snapd - 2.32.3.2+17.10

---------------
snapd (2.32.3.2+17.10) artful; urgency=medium

  * New upstream release, LP: #1756173
    - errtracker: make TestJournalErrorSilentError work on
      gccgo
    - errtracker: check for whoopsie.service instead of reading
      /etc/whoopsie

snapd (2.32.3.1) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - debian: add gbp.conf script to build snapd via `gbp
      buildpackage`
    - tests: add check for OOM error after each test
    - cmd/snap-seccomp: graceful handling of non-multilib host
    - interfaces/shutdown: allow calling SetWallMessage
    - data/selinux: Give snapd access to more aspects of the system
    - daemon,overlord/hookstate: stop/wait for running hooks before
      closing the snapctl socket
    - cmd/snap-confine: ignore missing cgroups in snap-device-helper
    - interfaces: misc updates for default, firewall-control, fuse-
      support and process-control
    - overlord: test fix, address corner case

snapd (2.32.3) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - ifacestate: add to the repo also snaps that are pending being
      activated but have a done setup-profiles
    - snapstate: inject autoconnect tasks in doLinkSnap for regular
      snaps
    - cmd/snap-confine: allow creating missing gl32, gl, vulkan dirs
    - errtracker: add more fields to aid debugging
    - interfaces: make system-key more robust against invalid fstab
      entries
    - cmd/snap-mgmt: remove timers, udev rules, dbus policy files
    - overlord,interfaces: be more vocal about broken snaps and read
      errors
    - osutil: fix fstab parser to allow for # in field values

snapd (2.32.2) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - interfaces/content: add rule so slot can access writable files at
      plug's mountpoint
    - tests: adjust canonical-livepatch test on GCE
    - interfaces/serial: change pattern not to exclude /dev/ttymxc
    - spread.yaml: switch Fedora 27 tests to manual
    - store: Sections and WriteCatalogs need to strictly send device
      auth only if the device has a custom store
    - configstate: give a chance to immediately recompute the next
      refresh time when schedules are set
    - cmd/snap-confine: attempt to detect if multiarch host uses arch
      triplets
    - vendor: update gopkg.in/yaml.v2 to the latest version (#4945)

snapd (2.32.1) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - cmd/snapd: make sure signal handlers are established during early
      daemon startup
    - osutil: use tilde suffix for temporary files used for atomic
      replacement
    - cmd/snap-confine: apparmor: allow creating prefix path for
      gl/vulkan
    - tests: disentangle etc vs extrausers in core tests
    - packaging: fix changelogs' typo

snapd (2.32) xenial; urgency=medium

  * New upstream release, LP: #1756173
    - snap: make `snap run` look at the system-key for security profiles
    - overlord/configstate: change how ssh is stopped/started
    - cmd/snap-confine: nvidia: preserve globbed file prefix
    - advisor: deal with missing commands.db f...

Changed in snapd (Ubuntu Artful):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) on 2018-04-19
Changed in snapd (Ubuntu Artful):
status: Fix Released → Fix Committed
Changed in snapd (Ubuntu Xenial):
status: Fix Released → Fix Committed
Changed in snapd (Ubuntu Trusty):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9+17.10

---------------
snapd (2.32.9+17.10) artful; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9

---------------
snapd (2.32.9) xenial; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.32.9~14.04

---------------
snapd (2.32.9~14.04) trusty; urgency=medium

  * New upstream release, LP: #1767833
    - tests: run all spread tests inside GCE
    - tests: build spread in the autopkgtests with a more recent go

 -- Michael Vogt <email address hidden> Wed, 16 May 2018 10:20:08 +0200

Changed in snapd (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.